Bug 867262 - [abrt] xfce4-sensors-plugin-1.2.3-3.fc17: sensors_read_config: Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 11 (SIGSEGV)
[abrt] xfce4-sensors-plugin-1.2.3-3.fc17: sensors_read_config: Process /usr/l...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:b1a93cc177ec25232507d841c0e...
: Reopened
: 890846 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 03:26 EDT by Olivier
Modified: 2015-06-29 07:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (305 bytes, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: environ (1.62 KB, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: backtrace (28.59 KB, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: maps (23.30 KB, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: dso_list (4.91 KB, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: var_log_messages (305 bytes, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details
File: open_fds (234 bytes, text/plain)
2012-10-17 03:26 EDT, Olivier
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 10821 None None None Never
Xfce 9395 None None None Never

  None (edit)
Description Olivier 2012-10-17 03:26:35 EDT
Version-Release number of selected component:
xfce4-sensors-plugin-1.2.3-3.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 12 18874419 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' ''
crash_function: sensors_read_config
kernel:         3.3.4-5.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 sensors_read_config at configuration.c:338
: #1 sensors_plugin_construct at sensors-plugin.c:2321
: #2 _xpp_realize at sensors-plugin.c:2359
: #7 gtk_widget_realize at gtkwidget.c:3543
: #8 gtk_widget_map at gtkwidget.c:3417
: #9 gtk_plug_map at gtkplug.c:717
: #11 _g_closure_invoke_va at gclosure.c:840
: #14 gtk_widget_map at gtkwidget.c:3419
: #15 gtk_window_show at gtkwindow.c:4555
: #16 _g_closure_invoke_va at gclosure.c:840
Comment 1 Olivier 2012-10-17 03:26:37 EDT
Created attachment 628573 [details]
File: core_backtrace
Comment 2 Olivier 2012-10-17 03:26:39 EDT
Created attachment 628574 [details]
File: environ
Comment 3 Olivier 2012-10-17 03:26:41 EDT
Created attachment 628575 [details]
File: limits
Comment 4 Olivier 2012-10-17 03:26:43 EDT
Created attachment 628576 [details]
File: backtrace
Comment 5 Olivier 2012-10-17 03:26:45 EDT
Created attachment 628577 [details]
File: cgroup
Comment 6 Olivier 2012-10-17 03:26:47 EDT
Created attachment 628578 [details]
File: maps
Comment 7 Olivier 2012-10-17 03:26:49 EDT
Created attachment 628579 [details]
File: dso_list
Comment 8 Olivier 2012-10-17 03:26:51 EDT
Created attachment 628580 [details]
File: var_log_messages
Comment 9 Olivier 2012-10-17 03:26:54 EDT
Created attachment 628581 [details]
File: open_fds
Comment 10 Christoph Wickert 2013-01-08 09:05:10 EST
*** Bug 890846 has been marked as a duplicate of this bug. ***
Comment 11 Fedora End Of Life 2013-07-03 17:32:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 18:43:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Seb L. 2013-08-31 12:48:06 EDT
Bug persists in Fedora 18, see:
  https://bugzilla.redhat.com/show_bug.cgi?id=890846

xfce4-sensors-plugin crashes with SIGSEGV everytime machine is shutdown or logged off on ASUSTeK P5K.
Comment 14 Christian Kujau 2014-02-19 03:03:35 EST
Bug just reappeared in F20, but "abrt" won't report the bug because it had been reported already in bug 890846 (CLOSED DUPLICATE).

xfce4-sensors-plugin-1.2.3-8.fc20

See also https://retrace.fedoraproject.org/faf/reports/28178/

Is there any way to reopen this bug?
Comment 15 Paul DeStefano 2014-03-23 00:14:56 EDT
Same here.
Comment 16 David M. Lloyd 2014-04-15 12:13:05 EDT
Yes this bug should be reopened IMO (and I have done so).  The crash seems to occur when a sensor is removed and the panel plugin is restarted.
Comment 17 David M. Lloyd 2014-04-15 12:20:55 EDT
Workaround: remove the plugin from the panel after it crashes, and re-configure it from scratch.
Comment 18 David M. Lloyd 2014-04-29 03:32:29 EDT
This was apparently fixed upstream.  I guess we just need an upstream release now.
Comment 19 Fedora End Of Life 2015-05-29 04:47:56 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 07:41:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.